Scope requirements
Scope requirements
Retrieve users
Depending on the information you need, there are a few ways to retrieve HubSpot users:- To retrieve all users, make a
GETrequest to/crm/v3/objects/users/. - To retrieve a specific user, make a
GETrequest to the above URL and specify a user ID. For example:crm/v3/objects/users/207838823235. - To retrieve a batch of users by ID, make a
POSTrequest to/crm/v3/objects/users/batch/read. - To retrieve users that meet a specific set of criteria, you can make a
POSTrequest to/crm/v3/objects/users/searchand include search filters in the request body. Learn more about searching the CRM.
properties query parameter in the request URL along with comma-separated property names. Learn more about user properties below.
For example, making a GET request to the following URL would result in the response below:
crm/v3/objects/users?properties=hs_job_title,hs_additional_phone
idProperty field.
For example, to read a batch of users, your request could look like either of the following:
Update users
You can update users by ID individually or in batches.- To update an individual user, make a
PATCHrequest to/crm/v3/objects/users/{userId}. - To update a batch of users, make a
POSTrequest to/crm/v3/objects/users/batch/update, including the user IDs or uniqueidPropertyin the request body as shown in the section above.
User properties
To retrieve a list of all available user properties, you can use the properties API by making aGET request to crm/v3/properties/user. Learn more about using the properties API.
Below are the user properties that can be set through this API.
Working hours
hs_working_hours accepts a stringified JSON value. It consists of an array with an object for each set of working hours.
For example, if a user works Monday through Friday, 9:00AM to 5:00PM, you would format that as follows:
Out of office hours
If a user will be unavailable due to scheduled time off, you can set any periods during which they’ll be out of office using thehs_out_of_office_hours property:
- The property accepts an array of date ranges, each specified by a
startTimestampandendTimestamp. - The date ranges cannot overlap with one another, and the
startTimestampof each date range must be later than the previousstartTimestamp.
hs_out_of_office_hours property for a user:
Language skills
hs_main_user_language_skill or hs_secondary_user_language_skill must match an existing language skill. The following JSON array lists all valid options for language skill categories: